6.0.0-git
2018-12-16

[#8288] 'Accept and update event' fault
Summary 'Accept and update event' fault
Queue Kronolith
Queue Version 2.3.1
Type Bug
State Assigned
Priority 2. Medium
Owners
Requester wimmer (at) zcu (dot) cz
Created 2009-05-17 (3500 days ago)
Due
Updated 2011-02-20 (2856 days ago)
Assigned 2011-02-20 (2856 days ago)
Resolved
Milestone
Patch No

History
2011-02-20 01:40:10 Chuck Hagenbuch State ⇒ Assigned
 
2009-06-15 16:57:04 Chuck Hagenbuch Comment #5 Reply to this comment
1) I (as the user W) need/wish to have written accepted event in My
calendar - I need/wish to see it in My calendar - I don't see it now
when I don't have subscribed F's shared calendar.
When I accepted event, it should be written to My calendar - or you
don't agree with it?
I think we might need to come up with a line for 
invitations/iTip/syncing that is less broad than calendar sharing 
generally. Such as: events are only looked for on calendars that you 
own or are a delegate manager for.



Or that you always get to choose explicitly which calendar they go to. 
Or that they always go only to your default calendar, and you can move 
them later.



Otherwise, I agree with the poster that calendar invitations are a lot 
harder to use. I've been using google calendar for work the last few 
weeks, and it has some infuriating bugs, but the scheduling 
integration with gmail is reasonably good, and it works like this.
2009-06-05 03:40:42 webmaster (at) gfi-ministries (dot) org Comment #4 Reply to this comment
I'm currently experiencing the same problem... (and it IS a problem)

I've tried to install an earlier version of kronolith into framework 
3.3.4 and the problem remained. Therefore I doubt that the bug really 
is within the kronolith code.

I've played around with permissions in the calendar and with groups 
and suddenly it worked. Hmmm...? Sorry for not having more precise 
information.



But otherwise thanks for all the great work!

Ulrich
2009-05-18 08:37:30 wimmer (at) zcu (dot) cz Comment #3 Reply to this comment
step 3 - user F grants access permissions 'Show', 'Read' and 'Edit'
for his calendar to user W
     - "The event was added to your calendar."
   but it is not true - no event is inserted into his calendar  -> [bug]
   (maybe it is re-inserted in calendar of user F?)
No, the event in F's calendar should be updated. Please confirm that
it is. We should change the message for this case though.
Jan,

your answer amazes me.



Yes, when W chooses 'Accept and update in my calendar', I see that 
event was updated

in F's calendar (there is new line "Last Modified   ..date... by W",   
but "Response" stays in "Required" status though in record of that 
event).



But in spite of it - I would say this behavior is not good.



1) I (as the user W) need/wish to have written accepted event in My 
calendar - I need/wish to see it in My calendar - I don't see it now 
when I don't have subscribed F's shared calendar.

When I accepted event, it should be written to My calendar - or you 
don't agree with it?

2) when event accepted by myself is not written to My calendar, it is 
not written to my other sychronized calendars on other devices (PDA, 
desktop clients) and I have no information about

it there.

3) I think that is not good, when My calendar updates are depending on 
settings of other users

(when they grant me permissions to their calendars or not) and I 
cannot change it. Or can I?



with all respect to your and all Horde team great work,

Milos


2009-05-17 21:57:28 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
     - "There was an error updating the event: Permission Denied.
Trying to import the event instead."  -> [bug]
Not a bug.
step 3 - user F grants access permissions 'Show', 'Read' and 'Edit'
for his calendar to user W
     - "The event was added to your calendar."
   but it is not true - no event is inserted into his calendar  -> [bug]
   (maybe it is re-inserted in calendar of user F?)
No, the event in F's calendar should be updated. Please confirm that 
it is. We should change the message for this case though.
2009-05-17 09:08:16 wimmer (at) zcu (dot) cz Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ 'Accept and update event' fault
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
I found ugly bug in 'Accept and update event' function of Kronolith.



Here are my steps:



step 0

-----------------------------------------------------------------------------------------------

- I will work with two users - user F and user W

- Every one works with one his own calendar (default)

- They both work in Horde environment only





step 1 - both F and W did not grant access permissions for their 
calendars to other user

-----------------------------------------------------------------------------------------------

- F invites W to new event (Add Attendees, Send invitations to all attendees)

- W receives the invitaion in e-mail messages, he chooses 'Accept and 
update in my calendar',

   Kronolith writes information:

     "The event was added to your calendar."

   and event is inserted into his calendar  -> [ok]





step 2 - user F grants access permissions 'Show' and 'Read' for his 
calendar to user W

-----------------------------------------------------------------------------------------------

- F invites W to new event (Add Attendees, Send invitations to all attendees)

- W receives the invitaion in e-mail messages, he chooses 'Accept and 
update in my calendar',

   Kronolith writes 2 informations:

     - "There was an error updating the event: Permission Denied. 
Trying to import the event instead."  -> [bug]

     - "The event was added to your calendar."  -> [ok]

   and event is inserted into his calendar  -> [ok]





step 3 - user F grants access permissions 'Show', 'Read' and 'Edit' 
for his calendar to user W

-----------------------------------------------------------------------------------------------

- F invites W to new event (Add Attendees, Send invitations to all attendees)

- W receives the invitaion in e-mail messages, he chooses 'Accept and 
update in my calendar',

   Kronolith writes information:

     - "The event was added to your calendar."

   but it is not true - no event is inserted into his calendar  -> [bug]

   (maybe it is re-inserted in calendar of user F?)





step 4 - user F keeps access permissions 'Show', 'Read' and 'Edit' for 
his calendar to user W

-----------------------------------------------------------------------------------------------

- F invites W to new event (Add Attendees, Send invitations to all attendees)

- afterwards F deletes this Event

- afterwards W opens his mail with invitation message, he chooses 
'Accept and update in my calendar',

   Kronolith writes information:

     - "The event was added to your calendar."

   and event is inserted into his calendar  -> [ok]





Thanks


Saved Queries